Bug 92416 - SIDEBAR: Functions pane improvements
Summary: SIDEBAR: Functions pane improvements
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.0.1 rc
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 161296 161534 161540 161542 161543
Blocks: Sidebar-Functions
  Show dependency treegraph
 
Reported: 2015-06-29 09:01 UTC by mahfiaz
Modified: 2024-06-14 20:43 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Mockup version 5 (279.98 KB, image/png)
2015-06-29 09:01 UTC, mahfiaz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mahfiaz 2015-06-29 09:01:57 UTC
Created attachment 116906 [details]
Mockup version 5

In discussion of the bug #92219, it was found that functions pane in sidebar could use some improvements to improve its usefulness and usability.

Kendy, Jay, Heiko, Mattias and others during a design session tackled the problem and one possible still unfinished and not agreed on mockup was created. I upload it here to get more comments before finalizing it. Also please note that some features might not be easy to implement, so developers' comments are welcome as well.
Comment 1 Yousuf Philips (jay) (retired) 2015-06-29 16:58:46 UTC
Screenshots from various apps of their formula dialogs have been added to a future design session document for the pane's improvement.

https://docs.google.com/document/d/1FXeKpcP3x-WdvnzI7xtxHujDQClaKb7fCoJC6xSn0jA/edit?usp=sharing
Comment 2 Robinson Tryon (qubit) 2016-08-25 05:39:04 UTC Comment hidden (obsolete)
Comment 3 Heiko Tietze 2017-09-21 13:47:11 UTC Comment hidden (no-value)
Comment 4 Heiko Tietze 2018-02-26 11:16:02 UTC
Nice GSoC project
Comment 5 Damian Hofmann 2023-02-16 19:40:11 UTC
*** Bug 146623 has been marked as a duplicate of this bug. ***
Comment 6 Damian Hofmann 2023-02-16 19:52:45 UTC
I just resolved #146623 as a duplicate of this issue. The mockup here already outlines some (but not all) ideas in my own ticket.

What I do not see in the mockup yet is the ability to drill down / debug further, into referenced cells. This would essentially provide a adequate or even better replacement for the missing "Evaluate Formula" feature (see #77684).

The drill-down feature should also work with "named" formulas. That is, formulas that are defined in the "Manage Names" dialog. Currently, LO lacks any feature to debug such formulas.

See #146623 for a detailed description of how I think this feature should work.
Comment 7 Stéphane Guillou (stragu) 2023-09-19 22:29:28 UTC
Just mentioning that bug 122718 was fixed for the upcoming version 24.2, adding a search field to the deck.
Comment 8 Ahmed Hamed 2024-05-23 17:49:58 UTC
I am working on this ticket as a GSoC Project, and I wanted to split it to smaller achievable tickets. At first, I want to enhance the current mock-up a bit in terms of the design and determine all the needed sections, and functionalities.

The smaller tasks that needs to be done are:

- Turn the functions list into collapsible sections (tree like view)

- Help button to show a wiki for the selected function

- Functionality to save formulas and edit them
(is this needed? if yes, what are the features you wish to see?)

- Enhance the searching functionality

- The editor area
I am not really sure what is expected to be done here. The things we can add are such as formatting, syntax highlighting, cell referencing and debugging. Is it expected to do all? or just some of them? or totally different features? and in the debugging functionality, does it need to calculate intermediate results or just highlight the very first error?

I want to know your opinions if there is something needs to be added or removed or adjusted
Comment 9 Heiko Tietze 2024-05-24 07:55:26 UTC
(In reply to Ahmed Hamed from comment #8)
> I want to know your opinions if there is something needs to be added or
> removed or adjusted
You could create new tickets and block this one like we handle META tickets. Once all goodies are done we may come back and see if this can be closed (probably since there is a parent anyway).
Comment 10 Eyal Rozenberg 2024-06-14 20:43:34 UTC
Why is there a separate meta-bug for improvements to the function pane/tab ? Most meta-bugs track both proper-bugs and improvements/enhancement "bugs".